How to fix the incompatible issue with M2.2.x?

Created by Rosa Truong, Modified on Tue, 12 Jan 2021 at 01:45 PM by Rosa Truong

Issue:


I purchased your extension "Simple Details on Configurable Product", but when I install version 1.2.9 on M2.2.0, I get the following error:


PHP Fatal error:  Interface 'Magento\Framework\App\Action\HttpPostActionInterface' not found

in /app/code/Bss/Simpledetailconfigurable/Controller/Ajax/Product/Post.php on line 25

Could you please check and fix it?


Solution:


The current version 1.2.9 is not compatible with M2.2.x at this time so it caused the issue above.

To solve it, please edit these files as below:

app/code/Bss/Simpledetailconfigurable/Controller/Ajax/Product/ListAction.php

app/code/Bss/Simpledetailconfigurable/Controller/Ajax/Product/Post.php

app/code/Bss/Simpledetailconfigurable/Model/Product/Type/Configurable.php

app/code/Bss/Simpledetailconfigurable/view/frontend/web/js/price-box.js

app/code/Bss/Simpledetailconfigurable/view/frontend/web/js/price-option-date-mixin.js

Please check and apply the attachment files on the site and flush the cache.


If you need any help, please feel free to contact us.

We'd like to support you.


Was this article helpful?

That’s Great!

Thank you for your feedback

Sorry! We couldn't be helpful

Thank you for your feedback

Let us how can we improve this article!

Select atleast one of the reasons

Feedback sent

We apprciate your effort and will try to fix the article